## wavescope wavescope — Simple waveform oscilloscope |

## Synopsis

    struct              GstWaveScope;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseAudioVisualizer
                         +----GstWaveScope

## Properties

      "style"                    GstWaveScopeStyle     : Read / Write / Construct

## Description

Wavescope is a simple audio visualisation element. It renders the waveforms like on an oscilloscope.

### Example launch line

    1
    gst-launch audiotestsrc ! audioconvert ! wavescope ! ximagesink

## Synopsis

### Element Information

plugin | audiovisualizers
author | Stefan Kost <ensonic@users.sf.net>
class | Visualization

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)2, endianness=(int)1234, width=(int)16, depth=(int)16, signed=(boolean)true

name | src
direction | source
presence | always
details | video/x-raw-rgb, bpp=(int)32, depth=(int)24, endianness=(int)4321, red_mask=(int)65280, green_mask=(int)16711680, blue_mask=(int)-16777216, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstWaveScope

    struct GstWaveScope;

## Property Details

### The `"style"` property

      "style"                    GstWaveScopeStyle     : Read / Write / Construct

Drawing styles for the wave form display.

Default value: draw dots (default)

## See Also

goom